oo(3)

NAME
oo - syntactic sugar for Moo oneliners

SYNOPSIS
  perl -Moo=Foo -e 'has bar => ( is => q[ro], default => q[baz] ); print Foo->new->bar'

  # loads an existing class and re-"opens" the package definition
  perl -Moo=+My::Class -e 'print __PACKAGE__->new->bar'

DESCRIPTION
oo.pm is a simple source filter that adds "package $name; use Moo;" to the beginning of your script, intended for use on the command line via the -M option.

SUPPORT
See Moo for support and contact information.

AUTHORS
See Moo for authors.

COPYRIGHT AND LICENSE
See Moo for the copyright and license.